Highlighted

FDK for version 5.1?

New Here ,
Apr 02, 2019

Copy link to clipboard

Copied

Was there a FDK for version 5 of FrameMaker - Windows?

I see a reference to a version 5.5 on CNET, but I need the one for version5 - Windows 3.1

TOPICS
Scripting

Views

853

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

FDK for version 5.1?

New Here ,
Apr 02, 2019

Copy link to clipboard

Copied

Was there a FDK for version 5 of FrameMaker - Windows?

I see a reference to a version 5.5 on CNET, but I need the one for version5 - Windows 3.1

TOPICS
Scripting

Views

854

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Apr 02, 2019 0
Adobe Employee ,
Apr 02, 2019

Copy link to clipboard

Copied

Not sure if there even was one. Will try to find out. Just out of curiosity: Why/for what do you need this old FDK, that you could not do also with a newer one?

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 02, 2019 0
Enthusiast ,
Apr 02, 2019

Copy link to clipboard

Copied

Yes there was an FDK version for FM 5.1. I still have the pre-Adobe hard copy manuals for FDK 5.0. But not the actual media. Unfortunately the FDK was only distributed on disc back then and due to the huge price was not widely used. That means you're unlikely to find a download. Having said all of that, I wouldn't be surprised if one of the other long-time Frame developers finds a copy in their collection.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 02, 2019 0
New Here ,
Apr 02, 2019

Copy link to clipboard

Copied

I am actually using FrameMaker version 5.1, which works very well for me. As for the huge price, I can remember paying $500 for version 3 for Windows back in prehistoric days, which I believe was the first Windows version.

Since version 5.1 is a Win32s application I assume later versions of the FDK wouldn't work on version 5.1. I believe version 5.1 is the latest version to work with Windows 3.1.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 02, 2019 0
Enthusiast ,
Apr 02, 2019

Copy link to clipboard

Copied

The price for the FDK from Frame Technology was several thousand pounds here in the UK!

From experience I've found that it's always best to use the FDK version that matches the FrameMaker version. Would the Win32s really matter? We were early adopters of 32 bit WinNT and used the same version of FrameMaker on 16 bit Windows and WinNT.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 02, 2019 0
New Here ,
Apr 02, 2019

Copy link to clipboard

Copied

Since Win32s is a subset of the Win32 API in WinNT, apps (such as FM version 5.1) written to Win32s *should* run on WinNT as well as Win3.x with Win32s installed. But chances are an app written to the full Win32 API (such as FM v 5.5) probably will not run on Win32s. Which was why I thought a later version of FDK (for example v 5.5) probably would not work.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Apr 02, 2019 0